Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/ContentType/ContentType.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\ContentType;
8
9 use eZ\Publish\API\Repository\Values\ValueObject;
10 use eZ\Publish\SPI\Repository\Values\MultiLanguageName;
11 use eZ\Publish\SPI\Repository\Values\MultiLanguageDescription;
12
35 abstract class ContentType extends ValueObject implements MultiLanguageName, MultiLanguageDescription
36 {
38 const STATUS_DEFINED = 0;
39
41 const STATUS_DRAFT = 1;
42
44 const STATUS_MODIFIED = 2;
45
51 protected $id;
52
58 protected $status;
59
65 protected $identifier;
66
72 protected $creationDate;
73
79 protected $modificationDate;
80
86 protected $creatorId;
87
93 protected $modifierId;
94
100 protected $remoteId;
101
109 protected $urlAliasSchema;
110
122 protected $nameSchema;
123
130 protected $isContainer;
131
138 protected $defaultAlwaysAvailable = true;
139
147 protected $defaultSortField;
148
156 protected $defaultSortOrder;
157
163 protected $languageCodes;
164
170 abstract public function getContentTypeGroups();
171
177 abstract public function getFieldDefinitions();
178
186 abstract public function getFieldDefinition($fieldDefinitionIdentifier);
187 }
eZ\Publish\API\Repository\Values\ContentType\ContentType\STATUS_DRAFT
const STATUS_DRAFT
Definition: API/Repository/Values/ContentType/ContentType.php:41
eZ\Publish\API\Repository\Values\ContentType\ContentType\$isContainer
$isContainer
Definition: API/Repository/Values/ContentType/ContentType.php:130
eZ\Publish\API\Repository\Values\ContentType\ContentType\getContentTypeGroups
getContentTypeGroups()
This method returns the content type groups this content type is assigned to.
eZ\Publish\API\Repository\Values\ContentType\ContentType\$defaultSortField
$defaultSortField
Definition: API/Repository/Values/ContentType/ContentType.php:147
eZ\Publish\API\Repository\Values\ContentType\ContentType\STATUS_MODIFIED
const STATUS_MODIFIED
Definition: API/Repository/Values/ContentType/ContentType.php:44
eZ\Publish\API\Repository\Values\ContentType\ContentType\$status
$status
Definition: API/Repository/Values/ContentType/ContentType.php:58
eZ\Publish\API\Repository\Values\ContentType\ContentType\$modifierId
$modifierId
Definition: API/Repository/Values/ContentType/ContentType.php:93
eZ\Publish\API\Repository\Values\ContentType\ContentType\$languageCodes
$languageCodes
Definition: API/Repository/Values/ContentType/ContentType.php:163
eZ\Publish\API\Repository\Values\ContentType\ContentType\$defaultSortOrder
$defaultSortOrder
Definition: API/Repository/Values/ContentType/ContentType.php:156
eZ\Publish\API\Repository\Values\ContentType\ContentType\$identifier
$identifier
Definition: API/Repository/Values/ContentType/ContentType.php:65
eZ\Publish\API\Repository\Values\ContentType\ContentType\$id
$id
Definition: API/Repository/Values/ContentType/ContentType.php:51
eZ\Publish\API\Repository\Values\ContentType\ContentType\$nameSchema
$nameSchema
Definition: API/Repository/Values/ContentType/ContentType.php:122
eZ\Publish\API\Repository\Values\ContentType\ContentType\$creationDate
$creationDate
Definition: API/Repository/Values/ContentType/ContentType.php:72
eZ\Publish\API\Repository\Values\ContentType\ContentType\$urlAliasSchema
$urlAliasSchema
Definition: API/Repository/Values/ContentType/ContentType.php:109
eZ\Publish\API\Repository\Values\ContentType\ContentType\$modificationDate
$modificationDate
Definition: API/Repository/Values/ContentType/ContentType.php:79
eZ\Publish\API\Repository\Values\ContentType\ContentType\$creatorId
$creatorId
Definition: API/Repository/Values/ContentType/ContentType.php:86
eZ\Publish\API\Repository\Values\ContentType\ContentType\STATUS_DEFINED
const STATUS_DEFINED
Definition: API/Repository/Values/ContentType/ContentType.php:38
eZ\Publish\API\Repository\Values\ContentType\ContentType\$defaultAlwaysAvailable
$defaultAlwaysAvailable
Definition: API/Repository/Values/ContentType/ContentType.php:138
eZ\Publish\API\Repository\Values\ContentType\ContentType\$remoteId
$remoteId
Definition: API/Repository/Values/ContentType/ContentType.php:100
eZ\Publish\API\Repository\Values\ContentType\ContentType\getFieldDefinitions
getFieldDefinitions()
This method returns the content type field definitions from this type.
eZ\Publish\API\Repository\Values\ContentType\ContentType\getFieldDefinition
getFieldDefinition($fieldDefinitionIdentifier)
This method returns the field definition for the given identifier.
eZ\Publish\API\Repository\Values\ValueObject
Definition: API/Repository/Values/ValueObject.php:21
eZ\Publish\SPI\Repository\Values\MultiLanguageDescription
This is the interface for all ValueObjects implementing translated description logic.
Definition: MultiLanguageDescription.php:18
eZ\Publish\SPI\Repository\Values\MultiLanguageName
This is the interface for all ValueObjects implementing translated name logic.
Definition: MultiLanguageName.php:19
eZ\Publish\API\Repository\Values\ContentType
Definition: API/Repository/Values/ContentType/ContentType.php:7
eZ\Publish\SPI\Persistence\Content\Type
Definition: SPI/Persistence/Content/Type/CreateStruct.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.